<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>print() for C++20: include/print_shortcuts.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">print() for C++20
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">print_shortcuts.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="print__shortcuts_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// Copyright (c) 2021 Martin B. Krauss.</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// Licensed under the MIT LICENSE.</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// See the file &#39;LICENSE&#39; that should be distributed with this software or can</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// be found at &#39;https://gitlab.com/martin.b.krauss/cpp20-print&#39; for details.</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160; </div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#ifndef CPP20PRINT_SHORTCUTS_H</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#define CPP20PRINT_SHORTCUTS_H</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160; </div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="print__options_8h.html">print_options.h</a>&quot;</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="print_8h.html">print.h</a>&quot;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160; </div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">namespace </span>cpp20print::printing::shortcuts {</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160; </div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">using</span> printing::print;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">using</span> <a class="code" href="terminalcolors_8h.html#ab87bacfdad76e61b9412d7124be44c1c">Color</a> = printing::PrintOptions::Color;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">using</span> <a class="code" href="terminalcolors_8h.html#add354b854a8899ddb39fc9d57bbe22e3">Weight</a> = printing::PrintOptions::Weight;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">using</span> Options = printing::PrintOptions;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160; </div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;[[maybe_unused]] constexpr <a class="code" href="terminalcolors_8h.html#ab87bacfdad76e61b9412d7124be44c1c">Color</a> Red             {Color::Red};</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;[[maybe_unused]] constexpr <a class="code" href="terminalcolors_8h.html#ab87bacfdad76e61b9412d7124be44c1c">Color</a> Green           {Color::Green};</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;[[maybe_unused]] constexpr <a class="code" href="terminalcolors_8h.html#ab87bacfdad76e61b9412d7124be44c1c">Color</a> Blue            {Color::Blue};</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;[[maybe_unused]] constexpr <a class="code" href="terminalcolors_8h.html#ab87bacfdad76e61b9412d7124be44c1c">Color</a> Yellow          {Color::Yellow};</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;[[maybe_unused]] constexpr <a class="code" href="terminalcolors_8h.html#ab87bacfdad76e61b9412d7124be44c1c">Color</a> Magenta         {Color::Magenta};</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;[[maybe_unused]] constexpr <a class="code" href="terminalcolors_8h.html#ab87bacfdad76e61b9412d7124be44c1c">Color</a> Cyan            {Color::Cyan};</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;[[maybe_unused]] constexpr <a class="code" href="terminalcolors_8h.html#ab87bacfdad76e61b9412d7124be44c1c">Color</a> White           {Color::White};</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;[[maybe_unused]] constexpr <a class="code" href="terminalcolors_8h.html#ab87bacfdad76e61b9412d7124be44c1c">Color</a> Error           {Color::Error};</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;[[maybe_unused]] constexpr <a class="code" href="terminalcolors_8h.html#ab87bacfdad76e61b9412d7124be44c1c">Color</a> Fail            {Color::Fail};</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;[[maybe_unused]] constexpr <a class="code" href="terminalcolors_8h.html#ab87bacfdad76e61b9412d7124be44c1c">Color</a> Notification    {Color::Notification};</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;[[maybe_unused]] constexpr <a class="code" href="terminalcolors_8h.html#ab87bacfdad76e61b9412d7124be44c1c">Color</a> Emphasis        {Color::Emphasis};</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;[[maybe_unused]] constexpr <a class="code" href="terminalcolors_8h.html#ab87bacfdad76e61b9412d7124be44c1c">Color</a> Success         {Color::Success};</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160; </div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;[[maybe_unused]] constexpr <a class="code" href="terminalcolors_8h.html#add354b854a8899ddb39fc9d57bbe22e3">Weight</a> Bold {Weight::Bold};</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160; </div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="keyword">using</span> IntegerFormat = <a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#a463c01fd3733281fe5fa6bda52436475">printing::PrintOptions::IntegerFormat</a>;</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="keyword">using</span> FloatFormat = <a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#aa900700142fa799baa05b7aa63fe3066">printing::PrintOptions::FloatFormat</a>;</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160; </div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;[[maybe_unused]] constexpr IntegerFormat Decimal    {<a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#a463c01fd3733281fe5fa6bda52436475a937504f318f04eaf0f1d701df4c4d7f3">IntegerFormat::Decimal</a>};</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;[[maybe_unused]] constexpr IntegerFormat Hexadecimal  </div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        {<a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#a463c01fd3733281fe5fa6bda52436475a3a1733e5ccccdb1b700352409ce97c89">IntegerFormat::Hexadecimal</a>};</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;[[maybe_unused]] constexpr IntegerFormat Octal      {<a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#a463c01fd3733281fe5fa6bda52436475a919c181a7c4ea1da2e77d49e3c02d531">IntegerFormat::Octal</a>};</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160; </div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;[[maybe_unused]] constexpr FloatFormat Scientific  {<a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#aa900700142fa799baa05b7aa63fe3066a21234a0e100d74037a4da2e53f3200d7">FloatFormat::Scientific</a>};</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;[[maybe_unused]] constexpr FloatFormat Fixed       {<a class="code" href="structcpp20print_1_1printing_1_1PrintOptions.html#aa900700142fa799baa05b7aa63fe3066a4457d440870ad6d42bab9082d9bf9b61">FloatFormat::Fixed</a>};</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160; </div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="keyword">using</span> printing::ListStyle;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160; </div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;}</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160; </div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="preprocessor">#endif</span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="astructcpp20print_1_1printing_1_1PrintOptions_html_aa900700142fa799baa05b7aa63fe3066"><div class="ttname"><a href="structcpp20print_1_1printing_1_1PrintOptions.html#aa900700142fa799baa05b7aa63fe3066">cpp20print::printing::PrintOptions::FloatFormat</a></div><div class="ttdeci">FloatFormat</div><div class="ttdoc">Defines values for formatting floating point numbers (float, double).</div><div class="ttdef"><b>Definition:</b> print_options.h:79</div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1PrintOptions_html_a463c01fd3733281fe5fa6bda52436475a937504f318f04eaf0f1d701df4c4d7f3"><div class="ttname"><a href="structcpp20print_1_1printing_1_1PrintOptions.html#a463c01fd3733281fe5fa6bda52436475a937504f318f04eaf0f1d701df4c4d7f3">cpp20print::printing::PrintOptions::IntegerFormat::Decimal</a></div><div class="ttdeci">@ Decimal</div><div class="ttdoc">Decimal format (&quot;12&quot;)</div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1PrintOptions_html_a463c01fd3733281fe5fa6bda52436475"><div class="ttname"><a href="structcpp20print_1_1printing_1_1PrintOptions.html#a463c01fd3733281fe5fa6bda52436475">cpp20print::printing::PrintOptions::IntegerFormat</a></div><div class="ttdeci">IntegerFormat</div><div class="ttdoc">Defines values for formatting integers.</div><div class="ttdef"><b>Definition:</b> print_options.h:68</div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1PrintOptions_html_aa900700142fa799baa05b7aa63fe3066a4457d440870ad6d42bab9082d9bf9b61"><div class="ttname"><a href="structcpp20print_1_1printing_1_1PrintOptions.html#aa900700142fa799baa05b7aa63fe3066a4457d440870ad6d42bab9082d9bf9b61">cpp20print::printing::PrintOptions::FloatFormat::Fixed</a></div><div class="ttdeci">@ Fixed</div><div class="ttdoc">Fixed notation (&quot;1024.500&quot;)</div></div>
<div class="ttc" id="aterminalcolors_8h_html_add354b854a8899ddb39fc9d57bbe22e3"><div class="ttname"><a href="terminalcolors_8h.html#add354b854a8899ddb39fc9d57bbe22e3">cpp20print::terminal::Weight</a></div><div class="ttdeci">Weight</div><div class="ttdoc">Defines values to select a font weight for printing to a terminal.</div><div class="ttdef"><b>Definition:</b> terminalcolors.h:39</div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1PrintOptions_html_aa900700142fa799baa05b7aa63fe3066a21234a0e100d74037a4da2e53f3200d7"><div class="ttname"><a href="structcpp20print_1_1printing_1_1PrintOptions.html#aa900700142fa799baa05b7aa63fe3066a21234a0e100d74037a4da2e53f3200d7">cpp20print::printing::PrintOptions::FloatFormat::Scientific</a></div><div class="ttdeci">@ Scientific</div><div class="ttdoc">Scientific notation (&quot;1.0245e3&quot;)</div></div>
<div class="ttc" id="aprint_8h_html"><div class="ttname"><a href="print_8h.html">print.h</a></div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1PrintOptions_html_a463c01fd3733281fe5fa6bda52436475a3a1733e5ccccdb1b700352409ce97c89"><div class="ttname"><a href="structcpp20print_1_1printing_1_1PrintOptions.html#a463c01fd3733281fe5fa6bda52436475a3a1733e5ccccdb1b700352409ce97c89">cpp20print::printing::PrintOptions::IntegerFormat::Hexadecimal</a></div><div class="ttdeci">@ Hexadecimal</div><div class="ttdoc">Hexadecimal format (&quot;0xc&quot;)</div></div>
<div class="ttc" id="aterminalcolors_8h_html_ab87bacfdad76e61b9412d7124be44c1c"><div class="ttname"><a href="terminalcolors_8h.html#ab87bacfdad76e61b9412d7124be44c1c">cpp20print::terminal::Color</a></div><div class="ttdeci">Color</div><div class="ttdoc">Defines values to select colors for printing to a terminal.</div><div class="ttdef"><b>Definition:</b> terminalcolors.h:20</div></div>
<div class="ttc" id="astructcpp20print_1_1printing_1_1PrintOptions_html_a463c01fd3733281fe5fa6bda52436475a919c181a7c4ea1da2e77d49e3c02d531"><div class="ttname"><a href="structcpp20print_1_1printing_1_1PrintOptions.html#a463c01fd3733281fe5fa6bda52436475a919c181a7c4ea1da2e77d49e3c02d531">cpp20print::printing::PrintOptions::IntegerFormat::Octal</a></div><div class="ttdeci">@ Octal</div><div class="ttdoc">Octal format (&quot;0o14&quot;)</div></div>
<div class="ttc" id="aprint__options_8h_html"><div class="ttname"><a href="print__options_8h.html">print_options.h</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
